# -*- coding: utf-8 -*-
#
# Copyright (c) 2007 by BlueDynamics Alliance, Klein & Partner KEG, Austria
#
# German Free Software License (D-FSL)
#
# This Program may be used by anyone in accordance with the terms of the 
# German Free Software License
# The License may be obtained under <http://www.d-fsl.org>.
#
__author__ = """Jens Klein <jens@bluedynamics.com>"""
__docformat__ = 'plaintext'

import logging
logger = logging.getLogger('DateRangeInRangeIndex')
logger.info('Installing Product')

from Globals import package_home
from Products.CMFPlone.PloneUtilities import ToolInit
from config import PROJECTNAME

def initialize(context):
    import index
    context.registerClass(
            index.DateRangeInRangeIndex,
            permission='Add Pluggable Index',
            constructors=(index.manage_addDRIRIndexForm,
                          index.manage_addDRIRIndex),
            icon='www/index.gif',
            visibility=None
    )

